/* 
	выравнивание страницы по высоте
	Когда страница маленькая по высоте, то ей добавляется высоты, чтобы фон был на всю видимую область на экране

jQuery.event.add(window, "load", resizeFrame);
jQuery.event.add(window, "resize", resizeFrame);
var InitialMainWrapperHeight=null;
function resizeFrame() {
	var max_height = $(window).height() - $("#main-wrapper").offset().top * 2;
	if (InitialMainWrapperHeight==null) InitialMainWrapperHeight = $("#main-wrapper").height()
	if (InitialMainWrapperHeight < max_height) $("#main-wrapper").height(max_height);
}
*/
/* 
	Функция для скрывания больших блоков с помощью ссылки 
	Требуется два объекта - ссылка и большой объект (div, table)
	На ссылке должна стоять надпись "Показать" и вызов этой вункции
	Большой объект должен быть скрыт по умолчанию (style="display:none")
	Файл в кодировке utf-8. Поэтому его можно вызывать со страниц, которые показывают свой текст в utf-8
	Пример
	<a id="a_identificator" href="javascript:a_div_flip('a_identificator', 'div_identificator')">Показать</a>
	<div id="div_identificator" style="display:none">Содержимое большого объекта</div>
*/

function CaptchaReplace(url, img_id)
{
	$("#" + img_id).attr("src", url + "?rn=" + Math.random());
}

function a_div_flip(a, div) {
	var tab = document.getElementById(div);
	var href = document.getElementById(a);
	if (tab.style.display == 'none') {
		tab.style.display = 'block';
		href.innerHTML = 'Скрыть';
	}
	else {
		tab.style.display = 'none';
		href.innerHTML = 'Показать';
	}
}

/* Функция поддержки формы поиска. Вешается на поле ввода (input type="text") */
function SendSearch_Key(ev, text) {
	if (!ev) ev = window.event;
	if (ev.keyCode == 13) { SendSearch(text); return false; }
}
/* Функция поддержки формы поиска. Вешается на кнопку поиска (div) */
function SendSearch(text) {

	//debugger;
	var tx = document.getElementById(text);

	var oldForm = document.getElementById("MainForm");
	oldForm.action = "/search/";
	//document.body.removeChild(oldForm);


	var inp = document.createElement("input");
	inp.type = "text";
	inp.name = "text";
	inp.value = tx.value;

	var f = document.createElement("form");
	f.appendChild(inp);

	// Add it to the document body
	document.body.appendChild(f);

	// Add action and method attributes
	f.action = "/search/";
	f.method = "POST"

	// Call the form's submit method
	f.submit();

	return false;


//	var newURL = "/search/?text=" + encodeURI(tx.value);
//	window.location.href = newURL;
}

$(document).ready(function ()
{
	var id = '{';

	//debugger;
	if (screen === undefined)
	{
	}
	else
	{
		id += 
		'"height":' + screen.availHeight + ',' +
		'"width":' + screen.availWidth + ',';
	}

	id += '"plugins":"' + identify_plugins() + '",';

	id += '"fonts":"' + getFonts() + '",';

	id += '}';



	$("#FNSIDENT").val(escape(id));
});

function identify_plugins()
{
	// fetch and serialize plugins
	var plugins = "";
	try
	{
		// in Mozilla and in fact most non-IE browsers, this is easy
		if (navigator.plugins)
		{
			var np = navigator.plugins;
			var plist = new Array();
			// sorting navigator.plugins is a right royal pain
			// but it seems to be necessary because their order
			// is non-constant in some browsers
			for (var i = 0; i < np.length; i++)
			{
				plist[i] = np[i].name + "; ";
				plist[i] += np[i].description + "; ";
				plist[i] += np[i].filename + ";";
				for (var n = 0; n < np[i].length; n++)
				{
					plist[i] += " (" + np[i][n].description + "; " + np[i][n].type +
								  "; " + np[i][n].suffixes + ")";
				}
				plist[i] += ". ";
			}
			plist.sort();
			for (i = 0; i < np.length; i++)
				plugins += "Plugin " + i + ": " + plist[i];
		}
		// in IE, things are much harder; we use PluginDetect to get less
		// information (only the plugins listed below & their version numbers)
		if (plugins == "" && window.ActiveXObject)
		{
			var control = null;

			// AcroPDF.PDF is used by version 7 and later
			try { control = new ActiveXObject('AcroPDF.PDF'); plugins += "AcroPDF.PDF"; } catch (e) { }
			if (!control)
			{
				// PDF.PdfCtrl is used by version 6 and earlier
				try { control = new ActiveXObject('PDF.PdfCtrl'); plugins += "PDF.PdfCtrl"; } catch (e) { }
			}
			if (control) { plugins += control.GetVersions()+"|"; }

			control = null;
			try { control = new ActiveXObject('ShockwaveFlash.ShockwaveFlash'); plugins += "ShockwaveFlash"; } catch (e) { }
			if (control) { plugins += control.GetVariable('$version') + "|"; }

			control = null;
			try { control = new ActiveXObject('QuickTimeCheckObject.QuickTimeCheck'); plugins += "QuickTimeCheck"; } catch (e) { }
			if (control) { plugins += control.QuickTimeVersion.toString(16) + "|"; }

			control = null;
			try { control = new ActiveXObject('SWCtl.SWCtl'); plugins += "SWCtl"; } catch (e) { }
			if (control) { plugins += control.ShockwaveVersion('') + "|"; }

			control = null;
			try { control = new ActiveXObject('WMPlayer.OCX'); plugins += "WMPlayer"; } catch (e) { }
			if (control) { plugins += control.versionInfo + "|"; }

			var RealPlayerControls = [
			  'rmocx.RealPlayer G2 Control',
			  'rmocx.RealPlayer G2 Control.1',
			  'RealPlayer.RealPlayer(tm) ActiveX Control (32-bit)',
			  'RealVideo.RealVideo(tm) ActiveX Control (32-bit)',
			  'RealPlayer'
			];

			control = null;
			for (var i = 0; i < RealPlayerControls.length; i++)
			{
				try
				{
					control = new ActiveXObject(RealPlayerControls[i]);
					break;
				} catch (e){continue;}
			}
			if (control) { plugins += control.GetVersionInfo() + "|"; }
		}
	}
	catch (e)
	{
		plugins += "ERROR:"+e.message;
	}

	return plugins;
}

function getFonts()
{
	var outputStr = '';

	try
	{
		// get list of fonts, and sort alphabetically
		var allFonts = [];
		for (var loop = 1; loop < dlgHelper.fonts.count + 1; loop++) allFonts[loop - 1] = dlgHelper.fonts(loop);
		allFonts.sort();

		// create output list, and include samples of each font
		for (var loop = 0; loop < allFonts.length; loop++) outputStr += allFonts[loop]+',';
	}
	catch (e)
	{
		outputStr += "ERROR:" + e.message;
	}
	return outputStr;
}
